1
0
Fork 0

Adding upstream version 2.7.1.

Signed-off-by: Daniel Baumann <daniel@debian.org>
This commit is contained in:
Daniel Baumann 2025-02-16 12:25:41 +01:00
parent 04338f02fe
commit d6e1a5d456
Signed by: daniel
GPG key ID: FBB4F0E80A80222F
663 changed files with 15529 additions and 6994 deletions

View file

@ -17,7 +17,7 @@ usage() {
echo "configs with meson:"
echo " [default] default settings"
echo " fallback download all dependencies"
echo " and build them as shared libaries"
echo " and build them as shared libraries"
echo " cross use cross toolchain to build"
echo " coverage build coverage report"
echo " appimage build AppImage target"
@ -59,6 +59,7 @@ CONFIG=${1:-"default"}
cd "$(git rev-parse --show-toplevel)" || exit 1
BUILDDIR="$(pwd)/.build-ci"
TOOLDIR="$(pwd)/.build-tools"
fn_exists() { declare -F "$1" > /dev/null; }
@ -136,44 +137,56 @@ install_meson_appimage() {
}
tools_build_samurai() {
mkdir -p "${BUILDDIR}"/build-tools
git clone --depth 1 https://github.com/michaelforney/samurai.git \
"${BUILDDIR}/build-tools/samurai"
pushd "${BUILDDIR}/build-tools/samurai" || exit 1
if [ ! -d "${TOOLDIR}"/samurai ]; then
git clone --depth 1 https://github.com/michaelforney/samurai.git \
"${TOOLDIR}/samurai"
fi
if [[ -f "${TOOLDIR}/samurai/samu" ]]; then
return
fi
pushd "${TOOLDIR}/samurai" || exit 1
CC="${CC}" make
SAMU="${BUILDDIR}/build-tools/samurai/samu"
popd || exit 1
}
tools_build_muon() {
mkdir -p "${BUILDDIR}"/build-tools
git clone --depth 1 https://git.sr.ht/~lattis/muon \
"${BUILDDIR}/build-tools/muon"
pushd "${BUILDDIR}/build-tools/muon" || exit 1
if [ ! -d "${TOOLDIR}/muon" ]; then
git clone --depth 1 https://git.sr.ht/~lattis/muon \
"${TOOLDIR}/muon"
fi
CC="${CC}" ninja="${SAMU}" ./bootstrap.sh stage1
if [[ -f "${TOOLDIR}/build-muon/muon" ]]; then
return
fi
pushd "${TOOLDIR}/muon" || exit 1
CC="${CC}" CFLAGS="${CFLAGS} -std=c99" ninja="${SAMU}" ./bootstrap.sh stage1
CC="${CC}" ninja="${SAMU}" stage1/muon setup \
-Dprefix="${BUILDDIR}/build-tools" \
-Dlibcurl=enabled \
-Dlibarchive=enabled \
-Dlibpkgconf=enabled \
-Dprefix="${TOOLDIR}" \
-Ddocs=disabled \
-Dsamurai=disabled \
"${BUILDDIR}/build-tools/.build-muon"
"${SAMU}" -C "${BUILDDIR}/build-tools/.build-muon"
-Dbestline=disabled \
"${TOOLDIR}/build-muon"
"${SAMU}" -C "${TOOLDIR}/build-muon"
MUON="${BUILDDIR}/build-tools/.build-muon/muon"
# "${MUON}" -C "${BUILDDIR}/build-tools/.build-muon" test
# "${TOOLDIR}/build-muon/muon" \
# -C "${TOOLDIR}/build-muon" test
popd || exit 1
}
config_muon_default() {
CC="${CC}" CFLAGS="${CFLAGS} -static" \
ninja="${SAMU}" "${MUON}" setup \
# wrap_mode=forcefallback depends on git being available
CC="${CC}" CFLAGS="${CFLAGS}" ninja="${SAMU}" \
"${MUON}" setup \
-Ddefault_library=static \
-Dc_link_args="-static" \
-Dwrap_mode=forcefallback \
-Dlibnvme:json-c=disabled \
-Dlibnvme:python=disabled \
@ -192,22 +205,25 @@ test_muon() {
ldd "${BUILDDIR}/nvme" 2>&1 | grep 'not a dynamic executable' || exit 1
}
rm -rf "${BUILDDIR}"
if [[ "${BUILDTOOL}" == "muon" ]]; then
if ! which samu ; then
SAMU="$(which samu 2> /dev/null)" || true
if [[ -z "${SAMU}" ]]; then
tools_build_samurai
else
SAMU="$(which samu)"
SAMU="${TOOLDIR}/samurai/samu"
fi
if ! which muon ; then
MUON="$(which muon 2> /dev/null)" || true
if [[ -z "${MUON}" ]]; then
tools_build_muon
else
MUON="$(which muon)"
MUON="${TOOLDIR}/build-muon/muon"
fi
fi
echo "samu: ${SAMU}"
echo "muon: ${MUON}"
rm -rf "${BUILDDIR}"
config_"${BUILDTOOL}"_"${CONFIG}"
fn_exists "build_${BUILDTOOL}_${CONFIG}" && "build_${BUILDTOOL}_${CONFIG}" || build_"${BUILDTOOL}"
fn_exists "test_${BUILDTOOL}_${CONFIG}" && "test_${BUILDTOOL}_${CONFIG}" || test_"${BUILDTOOL}"

View file

@ -60,7 +60,7 @@ cd "$(git rev-parse --show-toplevel)" || exit 1
if [[ -f subprojects/libnvme.wrap ]]; then
git -C subprojects/libnvme fetch --all
# extract the vesion string from libnvme by using the ref
# extract the version string from libnvme by using the ref
# defined in libnvme.wrap.
libnvme_ref=$(sed -n "s/revision = \([0-9a-z]\+\)/\1/p" subprojects/libnvme.wrap)
libnvme_VERSION=$(git -C subprojects/libnvme describe "${libnvme_ref}")
@ -94,7 +94,7 @@ if [ -d "Documentation" ]; then
elif [ -d "doc" ]; then
doc_dir="doc"
else
echo "documenation directory not found"
echo "documentation directory not found"
exit 1
fi